Academic Company Events Community Support Solutions Products & Services Contact NI MyNI
32 ratings:
 4.18 out of 5   

NI-VISA and LabVIEW Version Compatibility for Windows



Primary Software:
Primary Software Version: 5.3
Primary Software Fixed Version: N/A
Secondary Software: LabVIEW Development Systems>>LabVIEW Base Development System

Problem:
Which versions of NI-VISA and LabVIEW development system are compatible using a Windows OS?

Solution:
The following table specifies what version of NI-VISA is compatible with different versions of LabVIEW. Please check the driver readme for the most up-to-date and accurate information.

  LabVIEW Version
NI-VISA Version
 
7.1.1
8.0
8.2
8.5
8.6
2009
2010
2011
2012
2013
2014
2015
2016
4.2                          
4.3                          
4.4.1                          
4.6                          
4.6.2                          
5.0.1                          
5.0.2                          
5.0.3                          
5.1.1                          
5.1.2                          
5.2                          
5.3                          
5.4                          
5.4.1                          
14.0                          
14.0.1                          
15.0                          
15.0.1                          
15.5                          
16.0                          

Table 1: NI-VISA and LabVIEW Compatibility

Compatible Versions

Note: When doing a new install of NI-VISA, install NI-VISA after the LabVIEW installation. If NI-VISA was installed before LabVIEW, simply run the NI-VISA installer again to install the LabVIEW support

Related Links:
Drivers and Updates: NI-VISA

Attachments:





Report Date: 03/02/2011
Last Updated: 02/13/2017
Document ID: 5J171KKF

Your Feedback! poor Poor  |  Excellent excellent   Yes No
 Document Quality? 
 Answered Your Question? 
  1 2 3 4 5
Please Contact NI for all product and support inquiries.submit